#include <string>
#include <iostream>

#include "BinarySearchTree.h"

using namespace std;
int main() {
    BinarySearchTree b;
    string wants_more_input = "y";
    string t_string;
    while (wants_more_input == "y") {
        cout << "Willst du eine (weitere) Zeichenkette hinzufügen? (y/n)";
        cin >> wants_more_input;
        if (wants_more_input == "y") {
            cout << "Eingabe: ";
            cin >> t_string;
            b.insert(t_string);
            cout << endl;
        } else 
            cout << endl;
    }
    b.list();
    return 0;
}
